rte_event_crypto_request(3)

NAME
rte_event_crypto_request

SYNOPSIS

#include <rte_event_crypto_adapter.h>

  Data Fields

uint8_t resv [8]
uint16_t cdev_id
uint16_t queue_pair_id
uint32_t resv1

Detailed Description

Crypto event request structure will be filled by application to provide event request information to the adapter.

Definition at line 204 of file rte_event_crypto_adapter.h.

Field Documentation

  uint8_t resv[8]
Overlaps with first 8 bytes of struct rte_event that encode the response event information. Application is expected to fill in struct rte_event response_info.

Definition at line 205 of file rte_event_crypto_adapter.h.

  uint16_t cdev_id
cryptodev ID to be used

Definition at line 210 of file rte_event_crypto_adapter.h.

  uint16_t queue_pair_id
cryptodev queue pair ID to be used

Definition at line 212 of file rte_event_crypto_adapter.h.

  uint32_t resv1
Reserved bits

Definition at line 214 of file rte_event_crypto_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.